package com.bonus.canteen.core.supermarket.mapper;

import java.util.List;
import com.bonus.canteen.core.supermarket.domain.SupermarketInfo;

/**
 * 超市Mapper接口
 * 
 * @author xsheng
 * @date 2025-05-25
 */
public interface SupermarketInfoMapper {
    /**
     * 查询超市
     * 
     * @param supermarketId 超市主键
     * @return 超市
     */
    public SupermarketInfo selectSupermarketInfoBySupermarketId(Long supermarketId);

    public int getSupermarketCountByAreaIds(Long[] areaIds);

    /**
     * 查询超市列表
     * 
     * @param supermarketInfo 超市
     * @return 超市集合
     */
    public List<SupermarketInfo> selectSupermarketInfoList(SupermarketInfo supermarketInfo);

    /**
     * 新增超市
     * 
     * @param supermarketInfo 超市
     * @return 结果
     */
    public int insertSupermarketInfo(SupermarketInfo supermarketInfo);

    /**
     * 修改超市
     * 
     * @param supermarketInfo 超市
     * @return 结果
     */
    public int updateSupermarketInfo(SupermarketInfo supermarketInfo);

    /**
     * 删除超市
     * 
     * @param supermarketId 超市主键
     * @return 结果
     */
    public int deleteSupermarketInfoBySupermarketId(Long supermarketId);

    /**
     * 批量删除超市
     * 
     * @param supermarketIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSupermarketInfoBySupermarketIds(Long[] supermarketIds);
}
